<?php

namespace Server\Controllers;

use Server\Library\Controllers\ApiController;
use Server\Database\Models\Wallet;

class WalletsController extends ApiController
{

    public function __construct()
    {
        parent::__construct();
        $this->model = new Wallet;
    }

    public function createRules($body)
    {
        $address = $body['address'] ?? '';
        $type = $body['type'] ?? '';

        return [
            'address' => [$address, 'required'],
            'type' => [$type, 'required'],
        ];
    }

    public function createBody($body)
    {
        $this->data['message'] = 'Created Successfully';
        return $this->filter($body, ['address', 'type', 'network']);
    }

    public function updateRules($body)
    {
        $id = $body['id'] ?? '';
        $address = $body['address'] ?? '';

        return [
            'id' => [$id, 'required'],
            'address' => [$address, 'required'],
        ];
    }

    public function updateBody($body, $row)
    {
        $this->data['message'] = 'Updated Successfully';
        return $this->filter($body, ['address','network']);
    }
}