<?php

use Server\Database\Migrations\ParentMigration;
use Illuminate\Database\Schema\Blueprint;

class CreatePayoutsTable extends ParentMigration
{

    public function up()
    {
        $this->schema->create('payouts', function (Blueprint $table) {
            $table->increments('id');

            $table->string('name');

            $table->string('from');

            $table->enum('action', ['invested', 'withdrew'])->default('withdrew');

            $table->float('amount');

            $table->string('currency')->default("GBP");

            $table->string('color')->default("#6d6af6");

            
            // $table->string('wallet_address')->nullable();
            
            // $table->string('updated_at_day')->nullable();
            
            // $table->string('updated_at_month')->nullable();
            
            // $table->string('withdrawal_amount')->nullable();
            
            // $table->string('date_of_withdrawal')->nullable();

            $table->timestamps();
        });
    }

    public function down()
    {
        $this->schema->drop('payouts');
    }
}
