<?php

use Server\Database\Migrations\ParentMigration;
use Illuminate\Database\Schema\Blueprint;

class CreateDepositsTable extends ParentMigration
{

    public function up()
    {
        $this->schema->create('deposits', function (Blueprint $table) {

            $table->increments('id');

            $table->integer('user_id'); 

            $table->integer('to');

            $table->string('currency');

            $table->float('amount', 11, 2);

            $table->enum('status', ['Pending', 'Confirmed', 'Failed'])->default('Pending');

            $table->string('amount_in_crypto')->nullable();

            $table->string('crypto_currency')->nullable();

            $table->string('investment_term')->default("");

            $table->string('comment')->nullable();

            $table->string('timestamp')->nullable();

            $table->string('updated_at_day')->nullable();

            $table->string('updated_at_month')->nullable();

            $table->boolean('created_by_admin')->default(0);

            $table->string('proof')->default("");

            $table->timestamps();

            $table->string('wallet_address')->nullable();

            $table->string('link')->nullable();

        });
    }

    public function down()
    {
        $this->schema->drop('deposits');
    }

            // $table->string('crypto_currency');

            // $table->float('amount', 11, 2)->nullable();
            
            // $table->string('wallet_address');

            // $table->integer('code');

            // $table->float('price', 11, 2)->default(0.00);

            // $table->float('price_in_crypto', 11, 8)->nullable();
}