<?php

use Server\Database\Migrations\ParentMigration;
use Illuminate\Database\Schema\Blueprint;

class CreateTradersTable extends ParentMigration
{

    public function up()
    {
        $this->schema->create('traders', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->enum('verified',['Yes','No'])->default('No');
            $table->enum('type',['Human','Bot'])->default('Human');
            $table->float('price')->nullable();
            
            $table->integer('win_rate');
            $table->integer('profit_share');

            $table->string('profit')->nullable();
            $table->string('description')->nullable();
            $table->string('photo')->default("human.png");
            $table->timestamps();
        });
    }

    public function down()
    {
        $this->schema->drop('traders');
    }
}