<?php

use Illuminate\Database\Schema\Blueprint;
use Server\Database\Migrations\ParentMigration;

class CreateTradesTable extends ParentMigration
{

    public function up()
    {
        $this->schema->create('trades', function (Blueprint $table) {

            $table->increments('id');

            $table->integer('user_id');

            $table->integer('trader_id')->nullable();


            $table->enum('type', ['BUY', 'SELL','HIGHER','LOWER','CALL','PUT','UP','DOWN']);

            $table->float('amount',8,4);

            $table->string('symbol');

            $table->string('opening_price');

            $table->string('closing_price')->nullable();

            $table->float('profit', 10, 2)->nullable();




            $table->string('market');

            $table->string('chart');




            $table->integer('time')->nullable();
            
            $table->string('timestamp')->nullable();

            $table->float('take_profit')->nullable();

            $table->float('stop_loss')->nullable();


            $table->float('value')->nullable();

            $table->float('fraction')->nullable();

            $table->float('investment')->nullable();

            $table->float('multiplier')->nullable();

            

            $table->string('trader_name')->default('');

            $table->string('class_name')->default('');


            $table->string('updated_at_day')->nullable();

            $table->string('updated_at_month')->nullable();

            // $table->integer('trader_id')->nullable();

            // $table->enum('status', ['OPEN', 'CLOSED'])->default('OPEN');

            // $table->float('lot_size')->nullable();

            // $table->float('lot_value')->nullable();

            $table->timestamps();
        });
    }

    public function down()
    {
        $this->schema->drop('trades');
    }
}