<?php


use Phinx\Seed\AbstractSeed;

class PayoutSeeder extends AbstractSeed
{
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeders is available here:
     * http://docs.phinx.org/en/latest/seeding.html
     */
    public function run()
    {
        $faker = Faker\Factory::create();

        $types = ['invested', 'withdrew'];

        $colors = ["#6d6af6", "#f0a561", "#7dbef9", "#7adac9","#7654e1", "#371e8d"];

        $data = [];
        for ($i = 0; $i <= 25; $i++) {
            $data[] = [
                'from' => $faker->country,
                'currency' => 'USD',
                'amount' => rand(500,5000),
                'color' => $colors[rand(0,5)],
                'action' => $types[rand(0,1)],
                'created_at'    => date('Y-m-d H:i:s'),
                'updated_at'    => date('Y-m-d H:i:s'),
                'name' => $faker->firstName . " " . $faker->lastName,
            ];
        }

        $this->table('payouts')->insert($data)->save();
    }
}