<?php


use Phinx\Seed\AbstractSeed;

class PricesSeeder extends AbstractSeed
{

    public function run()
    {            

        $data = [];

        $data[] = [
            'type' => 'Trading',
            'title' => 'Starter',
            'price_min' => 500,
            'price_max' => 999,
            'theme' => 'bg-gradient-teal white-text',
            'comment' => 'Junior Traders Available To Copy',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];

        $data[] = [
            'type' => 'Trading',
            'title' => 'Premium',
            'price_min' => 1000,
            'price_max' => 2499,
            'theme' => 'bg-gradient-indigo white-text',
            'comment' => 'Pro Traders Available To Copy',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];

        $data[] = [
            'type' => 'Trading',
            'title' => 'Master',
            'price_min' => 2500,
            'price_max' => 5499,
            'theme' => 'bg-gradient-orange white-text',
            'comment' => 'Expert Traders Available To Copy',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];

        $data[] = [
            'type' => 'Trading',
            'title' => 'Pro',
            'price_min' => 5500,
            'theme' => 'bg-gradient-danger white-text',
            'comment' => 'Expert Traders Available To Copy',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];


        $data[] = [
            'type' => 'Mining',
            'title' => '1 Week Contract',
            'price_min' => 500,
            'price_max' => 999,
            'theme' => 'bg-gradient-teal white-text',
            'comment' => '100GHS',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];

        $data[] = [
            'type' => 'Mining',
            'title' => '2 Weeks Contract',
            'price_min' => 1000,
            'price_max' => 2499,
            'theme' => 'bg-gradient-indigo white-text',
            'comment' => '300GHS',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];

        $data[] = [
            'type' => 'Mining',
            'title' => '3 Weeks Contract',
            'price_min' => 2500,
            'price_max' => 5499,
            'theme' => 'bg-gradient-orange white-text',
            'comment' => '500GHS',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];

        $data[] = [
            'type' => 'Mining',
            'title' => '4 Weeks Contract',
            'price_min' => 5500,
            'theme' => 'bg-gradient-danger white-text',
            'comment' => '900GHS',
            'created_at'    => date('Y-m-d H:i:s'),
            'updated_at'    => date('Y-m-d H:i:s'),
        ];
        
        $this->table('prices')->insert($data)->save();
        
    }
}